group "ExchangeIdentifier.model"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | 3 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

Complex Content Model
relatedExchangeId*, optionsExchangeId*, specifiedExchangeId*

Content Model Elements (3):

  optionsExchangeId, relatedExchangeId, specifiedExchangeId

Known Usage Locations

- In definitions of global complexTypes (2):
  ExchangeTraded, ExtraordinaryEvents

XML Source (w/o annotations (3); see within schema source)

<xsd:group name="ExchangeIdentifier.model"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedExchangeId" type="ExchangeId"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="optionsExchangeId" type="ExchangeId"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="specifiedExchangeId" type="ExchangeId"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
optionsExchangeId

  Type: | ExchangeId, simple content

  A short form unique identifier for an exchange on which the reference option contract is listed. This is to address the case where the reference exchange for the future is different than the one for the option. The options Exchange is referenced on share options when Merger Elections are selected as Options Exchange Adjustment.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="optionsExchangeId" type="ExchangeId"/>

relatedExchangeId

  Type: | ExchangeId, simple content

  A short form unique identifier for a related exchange. If the element is not present then the exchange shall be the primary exchange on which listed futures and options on the underlying are listed. The term "Exchange" is assumed to have the meaning as defined in the ISDA 2002 Equity Derivatives Definitions.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedExchangeId" type="ExchangeId"/>

specifiedExchangeId

  Type: | ExchangeId, simple content

  A short form unique identifier for a specified exchange. If the element is not present then the exchange shall be default terms as defined in the MCA; unless otherwise specified in the Transaction Supplement.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="specifiedExchangeId" type="ExchangeId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.